﻿using UnityEngine;
using System.Collections;

public class EnemyBehaviour : MonoBehaviour
{
	public GameObject player;
	public float speed = 1f;
	private float health;
	private float chaosLevel;
	public bool enemyAggro = false;

	void Start () 
	{
		player = GameObject.FindGameObjectWithTag ("Player");
	}

	void Update () 
	{
		if (enemyAggro) {
			EnemyAggro = enemyAggro;
		}
	}

	public bool EnemyAggro
	{
		get {return enemyAggro;}
		set { enemyAggro = value; }

	}
	public float Speed
	{
		get {return speed; }
		set {speed = Random.Range(1f, 2f); }
	}
	public float Health
	{
		get {return health; }
		set {health = value;}
	}
	public float Chaos
	{
		get {return chaosLevel; }
		set {chaosLevel = value;}
	}
}
